import createAxios from '@/utils/request'

import {ADVANCE_BOOT} from '@/utils/constantRequest'

/**
 * 查询进线数据
 */
export const querySgIncomingLineByUserId = (data: any) => {
    return createAxios({
        url: ADVANCE_BOOT + '/sgIncomingLine/list?userId=' + data,
        method: 'GET'
    })
}


/**
 * 查询所有监测信息
 */
export const lineOptionList = () => {
    return createAxios({
        url: ADVANCE_BOOT + '/sgIncomingLine/lineList',
        method: 'GET'
    })
}

/**
 * 新增进线
 */
export const addSgIncomingLine = (data: any) => {
    return createAxios({
        url: ADVANCE_BOOT + '/sgIncomingLine/add',
        method: 'POST',
        data: data
    })
}


/**
 * 更新进线
 */
export const updateSgIncomingLine = (data: any) => {
    return createAxios({
        url: ADVANCE_BOOT + '/sgIncomingLine/update',
        method: 'POST',
        data: data
    })
}


/**
 * 删除进线
 */
export const deleteSgIncomingLine = (data: any) => {
    let ids = [data]
    return createAxios({
        url: ADVANCE_BOOT + '/sgIncomingLine/delete',
        method: 'POST',
        data: ids
    })
}

